Ruby 是一种面向对象、命令式、函数式、动态的通用编程语言。 在20世纪90年代中期由日本人松本行弘(Matz)设计并开发。 遵守BSD许可证和Ruby License。 它的灵感与特性来自于Perl、Smalltalk、Eiffel、Ada以及Lisp语言。

Ruby 可运行于多种平台,如 Windows、MAC OS 和 UNIX 的各种版本。

Ruby用于最明显,且和Apple系列的程序员最直接关联的就是Mac的开发环境,直接关联于Cocoapods工具。但是,cocoapods工具与Ruby的版本有一定的关联性,难免不涉及到升级。

那么,如何升级最方便快捷呢?

这就是rvm大展身手的时候啦。rvm是什么?rvm是ruby版本管理器。为什么要安装rvm呢?因为rvm可以让你拥有多个版本的Ruby,并且可以在多个版本之间自由切换。

第一步:安装rvm

$ curl -L get.rvm.io | bash -s stable
$ source ~/.profile

等待终端加载完毕,后输入:

$ rvm -v

如果能显示版本号,则安装成功。

第二步:安装ruby

列出ruby可安装的版本信息

$ rvm list known

安装一个ruby版本

$ rvm install 2.3

如果想设置为默认版本,可以用这条命令来完成

$ rvm use 2.1.4 --default

查看已安装的ruby

$ rvm list

卸载一个已安装ruby版本

$ rvm remove 2.3

第三步:更换源

查看已有的源

$ gem source -l

显示如下:

CURRENT SOURCES
http://rubygems.org/

然后我们需要修改更换源(由于国内被墙),所以要把源切换至淘宝镜像服务器,在终端执行以下命令

$ gem update --system
$ gem uninstall rubygems-update
$ gem sources -r http://rubygems.org/
$ gem sources -a https://ruby.taobao.org